#!/bin/bash


IMAGE=quay.io/wollud1969/exim-docker:0.0.9
MAILER_NETWORK=mailer-network


docker network inspect $MAILER_NETWORK > /dev/null || docker network create $MAILER_NETWORK


if [ "$RELAYNETS" = "" ]; then
  RELAYNETS=`docker network inspect $MAILER_NETWORK --format '{{ (index .IPAM.Config 0).Subnet }}'`
fi


docker run \
  -d \
  -e SMARTHOST=smarthost.example.com \
  -e LOCALMAILNAME=example.com \
  -e RELAYNETS=$RELAYNETS \
  --network $MAILER_NETWORK \
  --name mailer \
  --restart always \
  $IMAGE

